%define name    listen
%define version 0.5
%define rel     4
%define release %mkrel %rel

Name:       %name
Version:    %version
Release:    %release
Summary:    A music manager and player for GNOME
License:    GPL
Group:      Sound
URL:        http://listengnome.free.fr/
Source:     http://ovh.dl.sourceforge.net/sourceforge/listengnome/%name-%{version}.tar.bz2
Patch:      listen-0.5-dbus_0.80.patch
BuildRequires: python-devel
BuildRequires: python-sqlite2
BuildRequires: python-musicbrainz2
BuildRequires: python-tunepimp
BuildRequires: pyvorbis
BuildRequires: pyogg
BuildRequires: pymad
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python-extras
BuildRequires: gnome-python-gtkmozembed
BuildRequires: dbus-python
BuildRequires: libgpod-devel
BuildRequires: gtk2-devel
BuildRequires: gstreamer0.10-python-devel
BuildRequires: intltool
BuildRequires: mutagen
BuildRequires: desktop-file-utils
BuildRequires: ImageMagick
Requires:   python
Requires:   python-sqlite2
Requires:   pyvorbis
Requires:   pyogg
Requires:   pymad
Requires:   gnome-python-gnomevfs
Requires:   gnome-python-extras
Requires:   gnome-python
Requires:   gnome-python-gtkhtml2
Requires:   gstreamer
Requires:   gstreamer0.10-python 
Requires:   gstreamer0.10-plugins-ugly
Requires:   gstreamer0.10-plugins-good
Requires:   gstreamer0.10-plugins-base
Requires:   mutagen
Requires:   gnome-python-gtkmozembed
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Listen is a music manager and player for GNOME

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

With listen you will be able to:
 * Listen And Rip Audio CDs
 * Browse and listen songs on a DAAP share
 * Share you library via a DAAP share
 * Fill metadata with musicbrainz
 * Make inteligent playlists

%prep
%setup -q 

for i in $( find src -name '*.py' ); do
     perl -pi -e 'print "# -*- coding: utf-8 -*-\n"  if $. == 1 ;' $i
done;
%patch -p0

%build
make

%install
rm -rf %buildroot %name.lang
make install PREFIX=%buildroot/%_prefix/
%find_lang %name

# menu
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="GTK" \
    --add-category="X-MandrivaLinux-Multimedia-Sound" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

install -d -m 755  %{buildroot}{%{_miconsdir},%{_liconsdir},%{_iconsdir}}
convert -geometry 16x16 data/img/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 data/img/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 data/img/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc INSTALL gpl.txt README TODO
%{_prefix}/lib/%name/
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/dbus-1/services/org.gnome.Listen.service

%if %mdkversion < 200900
%post 
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif




%changelog
* Fri Oct 03 2008 Adam Williamson <awilliamson@mandriva.com> 0.5-4mdv2009.0
+ Revision: 290971
- drop bogus buildrequires xorg-x11-Xvfb
- drop bogus requires gstreamer-alsa (#44459)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.5-3mdv2009.0
+ Revision: 218422
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

  + Michael Scherer <misc@mandriva.org>
    - requires gnome-python-gtkmozembed, fix for #30060


* Wed Mar 28 2007 Michael Scherer <misc@mandriva.org> 0.5-3mdv2007.1
+ Revision: 149110
- add patch to fix upstream bug ( http://www.listen-project.org/ticket/571 ), ie make it work with
  newer dbus
- fix encoding of everyfile, as this is now fatal on python 2.5, fix #29943
- Add mutagen as requires, or it will not start

* Thu Mar 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-2mdv2007.1
+ Revision: 144073
- don't use external sources for icons

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2007.1
+ Revision: 143849
- new version

* Tue Sep 26 2006 Michael Scherer <misc@mandriva.org> 0.4.3-2mdv2007.1
+ Revision: 62618
- release 2mdv
- fix Categories, thanks neoclust
- add missing "xdg=true"
- remove the old hack to build listen without X, as gtk no longer abort if DISPLAY is not set
- update to xdg menu
- add missing requires, fix bug #26024
- Import listen

* Wed May 10 2006 Jerome Soyer <saispo@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Tue Apr 04 2006 Austin Acton <austin@mandriva.org> 0.4.2-3mdk
- fix summary (screwed up by debug package)
- fix grammar a bit

* Thu Mar 30 2006 Michael Scherer <misc@mandriva.org> 0.4.2-2mdk
- add missing BuildRequires, thanks Gotz

* Wed Mar 29 2006 Jerome Soyer <saispo@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Tue Mar 28 2006 Michael Scherer <misc@mandriva.org> 0.4-1mdk
- New release 0.4

* Fri Mar 24 2006 Michael Scherer <misc@mandriva.org> 0.3.1-2mdk
- add missing requires, thanks to blino relentless testing

* Wed Mar 22 2006 Michael Scherer <misc@mandriva.org> 0.3.1-1mdk
- first package, with the help of Sebastien Savarin ( plouf ) who
  finished the .spec

